Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class CommonUtilities

    java.lang.Object
      oracle.ifs.core.util.CommonUtilities

    public class CommonUtilities

extends java.lang.Object

A set of common utility and convenience methods.

Method Summary
`static java.lang.String` | `concatenateStrings(java.lang.String[] strings, java.lang.String separator)` Concatenate the specified array of strings into a single string, separated by the specified separator.
`static java.lang.Boolean` | `getBoolean(java.util.Map source, java.lang.String key)` Returns a Boolean value from a Map given a key; throws IFS-90008 if the cast to a Boolean value fails.
`static java.util.Date` | `getDate(java.util.Map source, java.lang.String key)` Returns a Date value from a Map given a key; throws IFS-90008 if the cast to a Date value fails.
`static java.lang.Integer` | `getInteger(java.util.Map source, java.lang.String key)` Returns a Integer value from a Map given a key; throws IFS-90008 if the cast to a Integer value fails.
`static java.lang.Long` | `getLong(java.util.Map source, java.lang.String key)` Returns a Long value from a Map given a key; throws IFS-90008 if the cast to a Long value fails.
`static long[]` | `getLongArray(java.util.Map source, java.lang.String key)` Returns a long array value from a Map given a key; throws IFS-90008 if the cast to a long array value fails.
`static java.lang.String` | `getString(java.util.Map source, java.lang.String key)` Returns a String value from a Map given a key; throws IFS-90008 if the cast to a String value fails.
`static java.lang.String[]` | `getStringArray(java.util.Map source, java.lang.String key)` Returns a String array value from a Map given a key; throws IFS-90008 if the cast to a String array value fails.
`static java.lang.String` | `zeroPad(java.lang.String s, int len)` Prepends `s` with "0" characters until the resulting String is of length `len`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### zeroPad

    public static java.lang.String zeroPad(java.lang.String s,
                                           int len)

  Description copied from class: `CommonUtilities`
  Prepends `s` with "0" characters until the resulting String is of length `len`.

  Parameters:
    `s` - the string to pad.
    `len` - the desired length of the string.
  Returns:
    the padded string.

### concatenateStrings

    public static java.lang.String concatenateStrings(java.lang.String[] strings,
                                                      java.lang.String separator)

  Description copied from class: `CommonUtilities`
  Concatenate the specified array of strings into a single string, separated by the specified separator.

  Parameters:
    `strings` - the array of strings
    `separator` - the separator
  Returns:
    the concatenated string

### getString

    public static java.lang.String getString(java.util.Map source,
                                             java.lang.String key)
                                      throws IfsException

  Description copied from class: `CommonUtilities`
  Returns a String value from a Map given a key; throws IFS-90008 if the cast to a String value fails.

  Parameters:
    `source` - the Map from which to get the String value
    `key` - the key for the String value
  Returns:
    the String value for the key
  Throws:
    `IfsException` - 90008: if the cast fails

### getBoolean

    public static java.lang.Boolean getBoolean(java.util.Map source,
                                               java.lang.String key)
                                        throws IfsException

  Description copied from class: `CommonUtilities`
  Returns a Boolean value from a Map given a key; throws IFS-90008 if the cast to a Boolean value fails.

  Parameters:
    `source` - the Map from which to get the Boolean value
    `key` - the key for the Boolean value
  Returns:
    the Boolean value for the key
  Throws:
    `IfsException` - 90008: if the cast fails

### getInteger

    public static java.lang.Integer getInteger(java.util.Map source,
                                               java.lang.String key)
                                        throws IfsException

  Description copied from class: `CommonUtilities`
  Returns a Integer value from a Map given a key; throws IFS-90008 if the cast to a Integer value fails.

  Parameters:
    `source` - the Map from which to get the Integer value
    `key` - the key for the Integer value
  Returns:
    the Integer value for the key
  Throws:
    `IfsException` - 90008: if the cast fails

### getLong

    public static java.lang.Long getLong(java.util.Map source,
                                         java.lang.String key)
                                  throws IfsException

  Description copied from class: `CommonUtilities`
  Returns a Long value from a Map given a key; throws IFS-90008 if the cast to a Long value fails.

  Parameters:
    `source` - the Map from which to get the Long value
    `key` - the key for the Long value
  Returns:
    the Long value for the key
  Throws:
    `IfsException` - 90008: if the cast fails

### getDate

    public static java.util.Date getDate(java.util.Map source,
                                         java.lang.String key)
                                  throws IfsException

  Description copied from class: `CommonUtilities`
  Returns a Date value from a Map given a key; throws IFS-90008 if the cast to a Date value fails.

  Parameters:
    `source` - the Map from which to get the Date value
    `key` - the key for the Date value
  Returns:
    the Long value for the key
  Throws:
    `IfsException` - 90008: if the cast fails

### getLongArray

    public static long[] getLongArray(java.util.Map source,
                                      java.lang.String key)
                               throws IfsException

  Description copied from class: `CommonUtilities`
  Returns a long array value from a Map given a key; throws IFS-90008 if the cast to a long array value fails.

  Parameters:
    `source` - the Map from which to get the Long array value
    `key` - the key for the Long array value
  Returns:
    the Long value for the key
  Throws:
    `IfsException` - 90008: if the cast fails

### getStringArray

    public static java.lang.String[] getStringArray(java.util.Map source,
                                                    java.lang.String key)
                                             throws IfsException

  Description copied from class: `CommonUtilities`
  Returns a String array value from a Map given a key; throws IFS-90008 if the cast to a String array value fails.

  Parameters:
    `source` - the Map from which to get the String array value
    `key` - the key for the String array value
  Returns:
    the Long value for the key
  Throws:
    `IfsException` - 90008: if the cast fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD